import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
const jsonIndianstate =
    'https://gist.githubusercontent.com/ayodhyanandh/4a66cc82f0d2a9f4f16788d34cb7c556/raw/041c1ed8882969be57ddf59bc252d02667c2f5da/indiastate';;
	const jsonIndiaDistrict = 'https://gist.githubusercontent.com/ayodhyanandh/4a66cc82f0d2a9f4f16788d34cb7c556/raw/041c1ed8882969be57ddf59bc252d02667c2f5da/indiastate';

export const useData = (selArea) => {
    let [data, setData] = useState(null);
  	// console.log(selectedArea)
    useEffect(() => {
    const bundle = {}
    json(jsonIndianstate).then(stateTopology => {
      const state = stateTopology.objects.india;
      json(jsonIndiaDistrict).then(districtTopology =>{
      	const dist = districtTopology.objects.india;
      	setData({'state':feature(stateTopology,state),'dist':feature(districtTopology,dist)})
      })
    });  
  }, []);
  
  return data;
  } 